Summary: vsftpd - Very Secure Ftp Daemon
Name: vsftpd
Version: 0.0.14
Release: 1.0.9
Copyright: GPL
Group: System Environment/Daemons
Source: %{name}-%{version}.tar.gz
Source2: ftp.pamd
Source3: vsftpd-gd.conf
Source4: etc-shells
Source5: etc-ftpusers
Source6: xinetd.d-ftp
Packager: Ryan W. Maple <ryan@guardiandigital.com>
BuildRoot: /var/tmp/%{name}-%{version}-root
Prereq:  /usr/sbin/useradd
Requires: xinetd
Provides: ftpserver


%description
A Very Secure FTP Daemon - written from scratch - by Chris "One Man Security
Audit Team" Evans.


%prep
%setup -q -n %{name}-%{version}


%build
make CFLAGS="$RPM_OPT_FLAGS"


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/empty
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
cp -a vsftpd  $RPM_BUILD_ROOT/usr/sbin

install -m 640 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/ftp
install -m 640 %{SOURCE3} $RPM_BUILD_ROOT/etc/vsftpd.conf
install -m 640 %{SOURCE4} $RPM_BUILD_ROOT/etc/shells
install -m 640 %{SOURCE5} $RPM_BUILD_ROOT/etc/ftpusers
install -m 640 %{SOURCE6} $RPM_BUILD_ROOT/etc/xinetd.d/ftp
install -m 444 vsftpd.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5

touch $RPM_BUILD_ROOT/etc/vsftpd.banned_emails
touch $RPM_BUILD_ROOT/etc/vsftpd.chroot_list

chown nobody.nobody $RPM_BUILD_ROOT/usr/share/empty


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%pre
/usr/sbin/useradd -u 49 -r -m -k /dev/null ftpsecure > /dev/null 2>&1 || true
chown nobody.nobody ~ftpsecure
chmod 0755 ~ftpsecure


%preun
if [ $1 = 0 ]; then
  rmdir ~ftpsecure
  /usr/sbin/userdel ftpsecure
fi



%files
%doc INSTALL BUGS AUDIT Changelog LICENSE README README.security REWARD SPEED TODO SECURITY/

%dir /usr/share/empty

%defattr(0640,root,root)
%config /etc/vsftpd.conf
%config /etc/vsftpd.banned_emails
%config /etc/vsftpd.chroot_list
%config /etc/pam.d/ftp
%config /etc/xinetd.d/ftp
/etc/shells
/etc/ftpusers

%defattr(0700,root,root)
/usr/sbin/vsftpd

%defattr(0444,root,root)
%{_mandir}/man5/vsftpd.conf.5

%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Verison 0.0.14, Release 1.0.9
  - i386 build fixIES.

* Wed Mar 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Verison 0.0.14, Release 1.0.8
  - Included xinetd config file in /etc/xinetd.d

* Tue Mar 06 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Verison 0.0.14, Release 1.0.7
  - Updated RPM to new version.


* Wed Feb 28 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Verison 0.0.13, Release 1.0.[3456]
  - RPM now creates/removes user 'ftpsecure' on installation/removal.
  - Still working...
  - Include files '/etc/shells' and '/etc/ftusers'
  - Tweaked some permissions.
  - All done!  Can't wait for the "final" 1.0 release...


* Thu Feb 22 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.13, Release 1.0.2
  - Updated to version 0.0.13.


* Tue Feb 20 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.0.12, Release 1.0.1
  - Built initial EnGarde package based on Seth Vidal's .spec file.


* Mon Feb 12 2001 Seth Vidal <skvidal@phy.duke.edu>
- Updated to 0.0.12
* Wed Feb 7 2001 Seth Vidal <skvidal@phy.duke.edu>
- updated to 0.0.11
* Fri Feb 1 2001 Seth Vidal <skvidal@phy.duke.edu>
- Update to 0.0.10
* Fri Feb 1 2001 Seth Vidal <skvidal@phy.duke.edu>
- First RPM packaging
- Stolen items from wu-ftpd's pam setup
- Separated rh 7 and rh 6.X's packages
- Built for Rh6
